import React, { FC } from "react";
import AttributeEditor from "@/components/ui/AttributesEditor/AttributesEditor";
import { DealSchema } from "@/lib/client";

type Props = {
    moduleId: number;
    deal: DealSchema;
};

const CustomTab: FC<Props> = props => {
    return (
        <AttributeEditor
            {...props}
            containerStyle={{
                paddingBlock: "var(--mantine-spacing-xs)",
                paddingInline: "var(--mantine-spacing-md)",
            }}
        />
    );
};

export default CustomTab;
